Browse Source

pEp: python-pep: Update to 2.1.0-rc0.

* pEp/nightly.scm (python-pep): Update to 2.1.0-rc0.
main
Hartmut Goebel 2 years ago
parent
commit
a83e88e0c9
1 changed files with 50 additions and 52 deletions
  1. +50
    -52
      pEp/nightly.scm

+ 50
- 52
pEp/nightly.scm View File

@ -205,58 +205,56 @@ adapters.")
(license license:bsd-3)))
(define-public python-pep
(let ((version "0.0.0")
(changeset "374") ;; 2020-04-27
(checksum "107i1s8jf8gyhpmqcs64q9csxa3fwc8g7s57iyccqb4czw8gph6d"))
(package
(name "python-pep")
(version (string-append version "-" changeset))
(source
(origin
(method hg-fetch)
(uri (hg-reference
(url "https://pep.foundation/dev/repos/pEpPythonAdapter")
(changeset changeset)))
(file-name (string-append name "-" version "-checkout"))
(sha256 (base32 checksum))))
(build-system python-build-system)
(arguments
`(;; Adding configure-flags does not work, running `build_ext`
;; with these flags, neither does adding the options to
;; `setup.cfg`: Either `build` or `install` fails (since
;; flags are given or missing), or "command 'BuildExtCommand'
;; has no such option 'pep_engine"
;; '(#:configure-flags
;; (list (string-append "--with-pEp-engine="
;; (assoc-ref inputs "pEpEngine"))
;; (string-append "--with-pEp-libadapter="
;; (assoc-ref inputs "libpEpAdapter"))
;; ;;(string-append "--boost="
;; (assoc-ref inputs "boost")) not supported
;; (string-append "--with-asn1c-share="
;; (assoc-ref inputs "asn1c") "/share"))
#:phases
(modify-phases %standard-phases
(add-before 'build 'fix-setup.py
(lambda _
(substitute* "setup.py"
(("^(\\s+SYS_INCLUDES = )\\['/usr.*" _ a)
(string-append a "os.getenv('CPATH', '').split(os.pathsep)\n"))
(("^(\\s+SYS_LIB_PREFIXES = )\\['/usr.*" _ a)
(string-append a "os.getenv('LIBRARY_PATH', '').split(os.pathsep)\n"))
(("^(\\s+SYS_SHARES = )\\['/usr.*" _ a)
(string-append a "['" (assoc-ref %build-inputs "asn1c") "/share']\n")))
#t)))))
(inputs
`(("pep-engine" ,pep-engine)
("libpepadapter" ,libpepadapter)
("boost-python" ,boost-with-python3)
("asn1c" ,asn1c)))
(home-page "https://pep.foundation/")
(synopsis "p≡p Python adapter")
(description "The pp Python adapter is an adaptor interface to the pp
(pretty Easy privacy) Engine.")
(license license:gpl3))))
(package
(name "python-pep")
(version "2.1.0-rc0")
(source
(origin
(method hg-fetch)
(uri (hg-reference
(url "https://pep.foundation/dev/repos/pEpPythonAdapter")
(changeset "671d9e268e71"))) ;; r376
(file-name (string-append name "-" version "-checkout"))
(sha256
(base32 "01r52nzr5dln6jbrnvdah9z5ksh91y9gbxfhddvzxxrv5dr8v15y"))))
(build-system python-build-system)
(arguments
`(;; Adding configure-flags does not work, running `build_ext`
;; with these flags, neither does adding the options to
;; `setup.cfg`: Either `build` or `install` fails (since
;; flags are given or missing), or "command 'BuildExtCommand'
;; has no such option 'pep_engine"
;; '(#:configure-flags
;; (list (string-append "--with-pEp-engine="
;; (assoc-ref inputs "pEpEngine"))
;; (string-append "--with-pEp-libadapter="
;; (assoc-ref inputs "libpEpAdapter"))
;; ;;(string-append "--boost="
;; (assoc-ref inputs "boost")) not supported
;; (string-append "--with-asn1c-share="
;; (assoc-ref inputs "asn1c") "/share"))
#:phases
(modify-phases %standard-phases
(add-before 'build 'fix-setup.py
(lambda _
(substitute* "setup.py"
(("^(\\s+SYS_INCLUDES = )\\['/usr.*" _ a)
(string-append a "os.getenv('CPATH', '').split(os.pathsep)\n"))
(("^(\\s+SYS_LIB_PREFIXES = )\\['/usr.*" _ a)
(string-append a "os.getenv('LIBRARY_PATH', '').split(os.pathsep)\n"))
(("^(\\s+SYS_SHARES = )\\['/usr.*" _ a)
(string-append a "['" (assoc-ref %build-inputs "asn1c") "/share']\n")))
#t)))))
(inputs
`(("pep-engine" ,pep-engine)
("libpepadapter" ,libpepadapter)
("boost-python" ,boost-with-python3)
("asn1c" ,asn1c)))
(home-page "https://pep.foundation/")
(synopsis "p≡p Python adapter")
(description "The pp Python adapter is an adaptor interface to the pp
(pretty Easy privacy) Engine.")
(license license:gpl3)))
(define-public java-pep-jni-adapter
(let ((version "0.0.0")


Loading…
Cancel
Save